curl "https://api.scanova.io/page-template/product-launch-a1b2c3/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 3,
"name": "Product Launch",
"slug": "product-launch-a1b2c3",
"description": "A landing page for launches.",
"category": { "id": 5, "slug": "website-url", "name": "Website URL" },
"theme": {
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" } },
"schema_version": 2,
"category_hints": ["website-url"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
},
"blocks_json": [{ "type": "hero" }],
"filter_tags": ["business", "launch"],
"accent_color": "#0077be",
"preview_bg": "#f0f8ff",
"thumbnail_url": "https://cdn.scanova.io/page-templates/3/thumb.png",
"is_premium": false,
"is_system": true,
"is_favourited": false,
"order": 0
}
主题与页面模板
获取页面模板
GET /page-template//
GET
/
page-template
/
{slug}
/
curl "https://api.scanova.io/page-template/product-launch-a1b2c3/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 3,
"name": "Product Launch",
"slug": "product-launch-a1b2c3",
"description": "A landing page for launches.",
"category": { "id": 5, "slug": "website-url", "name": "Website URL" },
"theme": {
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" } },
"schema_version": 2,
"category_hints": ["website-url"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
},
"blocks_json": [{ "type": "hero" }],
"filter_tags": ["business", "launch"],
"accent_color": "#0077be",
"preview_bg": "#f0f8ff",
"thumbnail_url": "https://cdn.scanova.io/page-templates/3/thumb.png",
"is_premium": false,
"is_system": true,
"is_favourited": false,
"order": 0
}
在 Management API 主机(
任何活跃模板——无论是系统模板还是任意账户自己的模板——都可以在此获取,与列出主题的读取行为一致。
api.scanova.io)上获取单个页面模板,使用您的原始 Management API 密钥进行身份验证。
GET https://api.scanova.io/page-template/{slug}/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
curl "https://api.scanova.io/page-template/product-launch-a1b2c3/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 3,
"name": "Product Launch",
"slug": "product-launch-a1b2c3",
"description": "A landing page for launches.",
"category": { "id": 5, "slug": "website-url", "name": "Website URL" },
"theme": {
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" } },
"schema_version": 2,
"category_hints": ["website-url"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
},
"blocks_json": [{ "type": "hero" }],
"filter_tags": ["business", "launch"],
"accent_color": "#0077be",
"preview_bg": "#f0f8ff",
"thumbnail_url": "https://cdn.scanova.io/page-templates/3/thumb.png",
"is_premium": false,
"is_system": true,
"is_favourited": false,
"order": 0
}
is_favourited 反映调用账户是否已收藏该模板。如果 slug 不匹配任何活跃模板,则返回 404。
相关内容
- 列出页面模板——查找
slug。 - 更新页面模板——如果您拥有此模板,可对其进行编辑。
- 收藏页面模板——切换
is_favourited。 - Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
路径参数
响应
One page template.
此页面对您有帮助吗?